## libixion 0.18.1

=== src/libixion/CMakeLists.txt ===

add_library(ixion-${IXION_API_VERSION} SHARED
    address.cpp
    address_iterator.cpp
    calc_status.cpp
    cell.cpp
    cell_access.cpp
    cell_queue_manager.cpp
    compute_engine.cpp
    config.cpp
    debug.cpp
    dirty_cell_tracker.cpp
    document.cpp
    exceptions.cpp
    formula.cpp
    formula_calc.cpp
    formula_functions.cpp
    formula_function_opcode.cpp
    formula_interpreter.cpp
    formula_lexer.cpp
    formula_name_resolver.cpp
    formula_parser.cpp
    formula_result.cpp
    formula_tokens.cpp
    formula_value_stack.cpp
    global.cpp
    info.cpp
    interface.cpp
    lexer_tokens.cpp
    matrix.cpp
    model_context.cpp
    model_context_impl.cpp
    model_iterator.cpp
    model_types.cpp
    module.cpp
    named_expressions_iterator.cpp
    queue_entry.cpp
    table.cpp
    types.cpp
    utf8.cpp
    utils.cpp
    workbook.cpp
)

if(BUILD_VULKAN)

    add_library(ixion-${IXION_API_VERSION}-vulkan SHARED
        compute_engine_vulkan.cpp
        vulkan_obj.cpp
    )

    target_link_libraries(ixion-${IXION_API_VERSION}-vulkan
        ixion-${IXION_API_VERSION}
        Vulkan::Vulkan
    )

    install(TARGETS ixion-${IXION_API_VERSION}-vulkan
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )

endif()

configure_file(constants.inl.in ${CMAKE_CURRENT_BINARY_DIR}/inl/constants.inl)

include_directories(${CMAKE_CURRENT_BINARY_DIR}/inl)

target_compile_definitions(ixion-${IXION_API_VERSION} PRIVATE IXION_BUILD DLL_EXPORT)

if(MSVC)
    target_compile_definitions(ixion-${IXION_API_VERSION} PRIVATE _USE_MATH_DEFINES)
endif()

install(TARGETS ixion-${IXION_API_VERSION}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

# test programs

add_executable(document-test EXCLUDE_FROM_ALL
    document_test.cpp
)

add_executable(general-test EXCLUDE_FROM_ALL
    general_test.cpp
)

add_executable(name-resolver-test EXCLUDE_FROM_ALL
    name_resolver_test.cpp
)

add_executable(ixion-test-track-deps EXCLUDE_FROM_ALL
    ixion_test_track_deps.cpp
)

add_executable(dirty-cell-tracker-test EXCLUDE_FROM_ALL
    dirty_cell_tracker_test.cpp
)

add_executable(compute-engine-test EXCLUDE_FROM_ALL
    compute_engine_test.cpp
)

target_include_directories(compute-engine-test PRIVATE ${PROJECT_SOURCE_DIR}/src/include)

target_link_libraries(document-test ixion-${IXION_API_VERSION} ixion-test)
target_link_libraries(general-test ixion-${IXION_API_VERSION} ixion-test)
target_link_libraries(ixion-test-track-deps ixion-${IXION_API_VERSION} ixion-test)
target_link_libraries(dirty-cell-tracker-test ixion-${IXION_API_VERSION} ixion-test)
target_link_libraries(compute-engine-test ixion-${IXION_API_VERSION} ixion-test)
target_link_libraries(name-resolver-test ixion-${IXION_API_VERSION} ixion-test)

add_dependencies(check
    document-test
    general-test
    ixion-test-track-deps
    dirty-cell-tracker-test
    compute-engine-test
    name-resolver-test
)

add_test(document-test document-test)
add_test(general-test general-test)
add_test(ixion-test-track-deps ixion-test-track-deps)
add_test(dirty-cell-tracker-test dirty-cell-tracker-test)
add_test(compute-engine-test compute-engine-test)
add_test(name-resolver-test name-resolver-test)

## libixion 0.7.0

=== debian/changelog ===
libixion (0.7.0-3) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Thu, 31 Jul 2014 20:30:25 +0200

libixion (0.7.0-2) experimental; urgency=low

  * add missing dependency on libmdds-dev (>= 0.9) to libixion-dev 

 -- Rene Engelhard <rene@debian.org>  Thu, 10 Apr 2014 19:52:04 +0200

libixion (0.7.0-1) experimental; urgency=low

  * Initial release

 -- Rene Engelhard <rene@debian.org>  Tue, 01 Apr 2014 22:08:23 +0200

=== debian/control ===
Source: libixion
Priority: optional
Maintainer: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, zlib1g-dev, python, dh-autoreconf, pkg-config, libboost-system-dev, dpkg-dev (>= 1.16.1), libboost-thread-dev, libboost-program-options-dev, libmdds-dev (>= 0.9)
Standards-Version: 3.9.3
Section: libs

Package: libixion-dev
Section: libdevel
Architecture: any
Depends: libixion-0.8-0 (= ${binary:Version}), libzip-dev, ${misc:Depends}, libmdds-dev (>= 0.9)
Description: general purpose formula parser & interpreter library -- development
 Ixion is a general purpose formula parser & interpreter that can calculate
 multiple named targets, or “cells”.
 .
 This package contains headers, pkg-config file and static library for
 developing applications using Ixion.

Package: libixion-0.8-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: general purpose formula parser & interpreter library -- development
 Ixion is a general purpose formula parser & interpreter that can calculate
 multiple named targets, or “cells”.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

%:
	dh $@  --with autotools-dev

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/ixion-test

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-static

## libixion 0.9.1

=== debian/changelog ===
libixion (0.9.1-3ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Bump debhelper compat level to 9.
    - Multiarchify the library packages.
    - Add a symbols file.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 16:51:19 +0100

libixion (0.9.1-3) unstable; urgency=medium

  * merge parts of https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=798609:
   - Build using dh-autoreconf.
   - Enable parallel builds.
   - Remove cruft in the debian directory.
  * remove obsolete dependency on libzip-dev (closes: #798730)

 -- Rene Engelhard <rene@debian.org>  Sun, 03 Jan 2016 12:04:45 +0100

libixion (0.9.1-2ubuntu5) wily; urgency=medium

  * Bump debhelper compat level to 9.
  * Multiarchify the library packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Sep 2015 22:40:42 +0200

libixion (0.9.1-2ubuntu4) wily; urgency=medium

  * libixion-dev: Remove dependency on libzip-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2015 03:45:46 +0200

libixion (0.9.1-2ubuntu2) wily; urgency=medium

  * Build using dh-autoreconf.
  * Enable parallel builds.
  * Add a symbols file.
  * Remove cruft in the debian directory.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Sep 2015 19:51:02 +0200

libixion (0.9.1-2) unstable; urgency=medium

  * libstdc++6 transition: rename libixion-0.10-0 to
    libixion-0.10-0v5

 -- Rene Engelhard <rene@debian.org>  Mon, 03 Aug 2015 17:02:53 +0000

libixion (0.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 09 May 2015 19:06:45 +0200

libixion (0.9.0-3) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Thu, 07 May 2015 07:30:50 +0200

libixion (0.9.0-2) experimental; urgency=low

  * fix short descriptions...

 -- Rene Engelhard <rene@debian.org>  Sun, 05 Apr 2015 18:38:07 +0200

libixion (0.9.0-1) experimental; urgency=low

  * New upstream release
    - fixes build with gcc-5 (closes: #777948)

 -- Rene Engelhard <rene@debian.org>  Sun, 05 Apr 2015 11:25:58 +0200

=== debian/control ===
Source: libixion
Priority: optional
Maintainer: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>= 8.0.0), zlib1g-dev, python, dh-autoreconf, pkg-config, libboost-system-dev, dpkg-dev (>= 1.16.1), libboost-thread-dev, libboost-program-options-dev, libmdds-dev (>= 0.12), python-dev
Standards-Version: 3.9.3
Section: libs

Package: libixion-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libixion-0.10-0v5 (= ${binary:Version}), ${misc:Depends}, libmdds-dev (>= 0.12)
Description: general purpose formula parser & interpreter library -- development
 Ixion is a general purpose formula parser & interpreter that can calculate
 multiple named targets, or “cells”.
 .
 This package contains headers, pkg-config file and static library for
 developing applications using Ixion.

Package: libixion-0.10-0v5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libixion-0.10-0
Description: general purpose formula parser & interpreter library
 Ixion is a general purpose formula parser & interpreter that can calculate
 multiple named targets, or “cells”.

Package: python-ixion
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: general purpose formula parser & interpreter library -- python 2 ,module
 Ixion is a general purpose formula parser & interpreter that can calculate
 multiple named targets, or “cells”.
 .
 This package contains the Python 2 module.

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,17 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@  --with autotools-dev
+	dh $@  --parallel --with autoreconf --with python2
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f src/ixion-test
+	rm -f src/libixion/ixion-test
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-silent-rules --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-static
 
+override_dh_auto_test:
+	chmod 755 test/ixion-python-test.py
+	PYTHONPATH="$(CURDIR)/src/python/.libs" dh_auto_test
+

## libixion 0.11.1

=== debian/changelog ===
libixion (0.11.1-3) unstable; urgency=medium

  * [2173411] move Maintainer: to Debian LibreOffice Maintainers
  * [a5d70bb] multiarchify (closes: #798609)

 -- Rene Engelhard <rene@debian.org>  Wed, 07 Sep 2016 20:44:49 +0200

libixion (0.11.1-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 14 May 2016 10:44:19 +0200

libixion (0.11.1-1) experimental; urgency=medium

  * Imported Upstream version 0.11.1
  * bump libmdds-dev build-dep to (>= 1.2)

 -- Rene Engelhard <rene@debian.org>  Fri, 13 May 2016 11:29:22 +0200

libixion (0.11.0-4) unstable; urgency=medium

  * oops, debian/watch actually should check for ixion, not orcus...

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Apr 2016 22:00:22 +0200

libixion (0.11.0-3) unstable; urgency=medium

  * upload to unstable 

  * debian/watch: fix filenamemangle
  * fix python depends: python:Depends -> python3:Depends

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Apr 2016 21:51:28 +0200

libixion (0.11.0-2) experimental; urgency=medium

  * add debian/watch
  * add Homepage:, update Source:

 -- Rene Engelhard <rene@debian.org>  Sun, 06 Mar 2016 19:55:53 +0100

libixion (0.11.0-1) experimental; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Feb 2016 11:14:19 +0100

libixion (0.11.0~git20151103-1) experimental; urgency=medium

  * new upstream snapshot 

 -- Rene Engelhard <rene@debian.org>  Sun, 03 Jan 2016 13:08:39 +0100

=== debian/control ===
Source: libixion
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>= 9), zlib1g-dev, python3, dh-autoreconf, pkg-config, libboost-system-dev, dpkg-dev (>= 1.16.1), libboost-thread-dev, libboost-program-options-dev, libmdds-dev (>= 1.2), python3-dev, dh-python
Standards-Version: 3.9.3
Section: libs
Homepage: https://gitlab.com/ixion/ixion

Package: libixion-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libixion-0.11-0 (= ${binary:Version}), ${misc:Depends}, libmdds-dev (>= 1.2)
Description: general purpose formula parser & interpreter library -- development
 Ixion is a general purpose formula parser & interpreter that can calculate
 multiple named targets, or “cells”.
 .
 This package contains headers, pkg-config file and static library for
 developing applications using Ixion.

Package: libixion-0.11-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: general purpose formula parser & interpreter library
 Ixion is a general purpose formula parser & interpreter that can calculate
 multiple named targets, or “cells”.

Package: python3-ixion
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Description: general purpose formula parser & interpreter library -- python module
 Ixion is a general purpose formula parser & interpreter that can calculate
 multiple named targets, or “cells”.
 .
 This package contains the Python module.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@  --parallel --with autoreconf --with python2
+	dh $@  --parallel --with autoreconf --with python3
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -23,6 +23,5 @@
 	dh_auto_configure -- --disable-silent-rules --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-static
 
 override_dh_auto_test:
-	chmod 755 test/ixion-python-test.py
 	PYTHONPATH="$(CURDIR)/src/python/.libs" dh_auto_test

## libixion 0.12.2

=== debian/changelog ===
libixion (0.12.2-2build1) artful; urgency=medium

  * No-change rebuild to build with python3.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 13:51:47 +0000

libixion (0.12.2-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 28 May 2017 19:55:12 +0200

libixion (0.12.2-1) experimental; urgency=medium

  * New upstream version 0.12.2

 -- Rene Engelhard <rene@debian.org>  Sun, 25 Dec 2016 18:24:48 +0100

libixion (0.12.1-1) experimental; urgency=medium

  * [f7e90bc] Imported Upstream version 0.12.1
  * [23f184d] remove obsolete debian/patches/disable-threads.diff

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Sep 2016 22:45:00 +0200

libixion (0.12.0-4) experimental; urgency=medium

  * [7594c28] add patch from upstream master adding a --disable-threads option
  * [6376f4b] use --disable-threads on armel to work around gccs #727621

 -- Rene Engelhard <rene@debian.org>  Sat, 17 Sep 2016 15:57:20 +0200

libixion (0.12.0-3) experimental; urgency=medium

  * [2173411] move Maintainer: to Debian LibreOffice Maintainers
  * [a5d70bb] multiarchify

 -- Rene Engelhard <rene@debian.org>  Wed, 07 Sep 2016 21:06:47 +0200

libixion (0.12.0-2) experimental; urgency=medium

  * [21ed27b] add missing python3-sphinx-bootstrap-theme,python3-breathe to
              Build-Depends-Indep
  * [8c3d270] use --with sphinxdoc
  * [16a28a9] add sphinx-common to Build-Depends for --with sphinxdoc
  * [ece7cba] use usr/lib/python*/*-packages/ixion.so in python3-ixion.install

 -- Rene Engelhard <rene@debian.org>  Tue, 23 Aug 2016 22:42:20 +0200

libixion (0.12.0-1) experimental; urgency=medium

  * [88a7a13] Imported Upstream version 0.12.0
  * [fcdaf76] adapt for libixion-0.12.so.0
  * [93015c5] build libixion-doc

 -- Rene Engelhard <rene@debian.org>  Mon, 25 Jul 2016 14:13:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Priority: optional
 Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev, python3, dh-autoreconf, pkg-config, libboost-system-dev, dpkg-dev (>= 1.16.1), libboost-thread-dev, libboost-program-options-dev, libmdds-dev (>= 1.2), python3-dev, dh-python
+Build-Depends: debhelper (>= 9), zlib1g-dev, python3, dh-autoreconf, pkg-config, libboost-system-dev, dpkg-dev (>= 1.16.1), libboost-thread-dev, libboost-program-options-dev, libmdds-dev (>= 1.2), python3-dev, dh-python, sphinx-common
+Build-Depends-Indep: doxygen, python3-sphinx, python3-sphinx-bootstrap-theme,python3-breathe
 Standards-Version: 3.9.3
 Section: libs
 Homepage: https://gitlab.com/ixion/ixion
@@ -11,7 +12,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libixion-0.11-0 (= ${binary:Version}), ${misc:Depends}, libmdds-dev (>= 1.2)
+Depends: libixion-0.12-0 (= ${binary:Version}), ${misc:Depends}, libmdds-dev (>= 1.2)
 Description: general purpose formula parser & interpreter library -- development
  Ixion is a general purpose formula parser & interpreter that can calculate
  multiple named targets, or “cells”.
@@ -19,7 +20,7 @@
  This package contains headers, pkg-config file and static library for
  developing applications using Ixion.
 
-Package: libixion-0.11-0
+Package: libixion-0.12-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -39,3 +40,14 @@
  .
  This package contains the Python module.
 
+Package: libixion-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: general purpose formula parser & interpreter library -- documentation
+ Ixion is a general purpose formula parser & interpreter that can calculate
+ multiple named targets, or “cells”.
+ .
+ This package contains the API documentation.
+
+

## libixion 0.13.0

=== debian/changelog ===
libixion (0.13.0-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 21 Jan 2018 13:09:14 +0000

libixion (0.13.0-1) experimental; urgency=medium

  * New upstream version 0.13.0
  * add Build-Conflicts: python-sphinx to unconfuse sphinx-build

 -- Rene Engelhard <rene@debian.org>  Sat, 18 Nov 2017 20:05:12 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
 Build-Depends: debhelper (>= 9), zlib1g-dev, python3, dh-autoreconf, pkg-config, libboost-system-dev, dpkg-dev (>= 1.16.1), libboost-thread-dev, libboost-program-options-dev, libmdds-dev (>= 1.2), python3-dev, dh-python, sphinx-common
-Build-Depends-Indep: doxygen, python3-sphinx, python3-sphinx-bootstrap-theme,python3-breathe
+Build-Depends-Indep: doxygen, python3-sphinx, python3-sphinx-bootstrap-theme, python3-breathe
+Build-Conflicts: python-sphinx
 Standards-Version: 3.9.3
 Section: libs
 Homepage: https://gitlab.com/ixion/ixion
@@ -12,7 +13,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libixion-0.12-0 (= ${binary:Version}), ${misc:Depends}, libmdds-dev (>= 1.2)
+Depends: libixion-0.13-0 (= ${binary:Version}), ${misc:Depends}, libmdds-dev (>= 1.2)
 Description: general purpose formula parser & interpreter library -- development
  Ixion is a general purpose formula parser & interpreter that can calculate
  multiple named targets, or “cells”.
@@ -20,7 +21,7 @@
  This package contains headers, pkg-config file and static library for
  developing applications using Ixion.
 
-Package: libixion-0.12-0
+Package: libixion-0.13-0
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -12,16 +12,39 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@  --parallel --with autoreconf --with python3
+	dh $@  --parallel --with python3 --with sphinxdoc
+
+# afffected by https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=727621
+ifeq (armel,$(findstring armel,$(DEB_HOST_ARCH)))
+CONFIGURE_FLAGS_EXTRA += --disable-threads
+endif
+
+override_dh_auto_build-arch:
+	dh_autoreconf
+	dh_auto_configure -- --disable-silent-rules --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-static $(CONFIGURE_FLAGS_EXTRA)
+	dh_auto_build
+
+override_dh_auto_build-indep:
+	cd doc && \
+		doxygen doxygen.conf && \
+		mkdir tmp && sphinx-build -v -a . tmp
 
 override_dh_auto_clean:
 	dh_auto_clean
+	dh_autoreconf_clean
 	rm -f src/ixion-test
 	rm -f src/libixion/ixion-test
+	rm -rf doc/_doxygen doc/tmp
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-silent-rules --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-static
 
 override_dh_auto_test:
-	PYTHONPATH="$(CURDIR)/src/python/.libs" dh_auto_test
+	if [ -d $(CURDIR)/src/python/.libs ]; then \
+		PYTHONPATH="$(CURDIR)/src/python/.libs" dh_auto_test; \
+	fi
 
+override_dh_auto_install:
+	# otherwise dh_auto_install -plibixion-doc doesn't work because there's
+	# no debian/tmp it can cd from
+	mkdir -p debian/tmp
+	if [ -d src/.libs ]; then dh_auto_install; else dh_auto_install -- -plibixion-doc; fi

=== debian/watch ===
version=2
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/ixion-$1\.tar\.gz/g \
  https://gitlab.com/ixion/ixion/tags .*archive\.tar\.gz\?ref=v?(\d\S*)

## libixion 0.14.1

=== debian/changelog ===
libixion (0.14.1-4) unstable; urgency=medium

  * Team upload.
  * Update the unit autopkgtest to detect the soversion at test time, instead
    of hardcoding it, to avoid testing the just built library instead of the
    system-installed one.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Jan 2019 11:21:13 +0100

libixion (0.14.1-3) unstable; urgency=medium

  * Team upload.
  * Add Vcs-* fields.
  * wrap-and-sort -ast
  * Mark python3-ixion as Multi-Arch:same.
  * Mark libixion-doc as Multi-Arch:foreign.
  * d/tests/control: Update dependencies after the SONAME bump.  Closes: #918181
  * Use HTTPS in the d/copyright Format field.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Jan 2019 10:13:05 +0100

libixion (0.14.1-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sat, 15 Dec 2018 13:56:29 +0000

libixion (0.14.1-1) experimental; urgency=medium

  * New upstream version 0.14.1

  * remove debian/docs

 -- Rene Engelhard <rene@debian.org>  Tue, 18 Sep 2018 19:07:04 +0200

libixion (0.14.0-3) experimental; urgency=medium

  * add upstream patch to fix build on 32bit platforms

 -- Rene Engelhard <rene@debian.org>  Wed, 29 Aug 2018 10:17:14 +0200

libixion (0.14.0-2) experimental; urgency=medium

  * add new Build-Depends: on libboost-filesystem-dev

 -- Rene Engelhard <rene@debian.org>  Tue, 28 Aug 2018 17:31:20 +0200

libixion (0.14.0-1) experimental; urgency=medium

  * New upstream version 0.14.0
  * rename libixion-0.13-0 to libixion-0.14-0 and
    bump (build-)depends on mdds to >= 1.4

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Aug 2018 10:36:33 +0200

=== debian/control ===
Source: libixion
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders:
 Rene Engelhard <rene@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 dh-python,
 dpkg-dev (>= 1.16.1),
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libmdds-dev (>= 1.4),
 pkg-config,
 python3,
 python3-dev,
 sphinx-common,
 zlib1g-dev,
Build-Depends-Indep:
 doxygen,
 python3-breathe,
 python3-sphinx,
 python3-sphinx-bootstrap-theme,
Build-Conflicts:
 python-sphinx,
Standards-Version: 3.9.3
Section: libs
Homepage: https://gitlab.com/ixion/ixion
Vcs-Browser: https://salsa.debian.org/libreoffice-team/libixion
Vcs-Git: https://salsa.debian.org/libreoffice-team/libixion.git

Package: libixion-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libixion-0.14-0 (= ${binary:Version}),
 libmdds-dev (>= 1.4),
 ${misc:Depends},
Description: general purpose formula parser & interpreter library -- development
 Ixion is a general purpose formula parser & interpreter that can calculate
 multiple named targets, or “cells”.
 .
 This package contains headers, pkg-config file and static library for
 developing applications using Ixion.

Package: libixion-0.14-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: general purpose formula parser & interpreter library
 Ixion is a general purpose formula parser & interpreter that can calculate
 multiple named targets, or “cells”.

Package: python3-ixion
Section: python
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: general purpose formula parser & interpreter library -- python module
 Ixion is a general purpose formula parser & interpreter that can calculate
 multiple named targets, or “cells”.
 .
 This package contains the Python module.

Package: libixion-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: general purpose formula parser & interpreter library -- documentation
 Ixion is a general purpose formula parser & interpreter that can calculate
 multiple named targets, or “cells”.
 .
 This package contains the API documentation.

=== debian/tests/control ===
Test-Command: set -e ; cd "$AUTOPKGTEST_TMP" ; python3 -c "import ixion; print(ixion)"
Depends: python3, python3-ixion

Tests: unit
Depends: @builddeps@, libixion-0.14-0, python3-ixion
Restrictions: build-needed, rw-build-tree

=== debian/watch ===
version=4
opts=downloadurlmangle=s|gitlab.com/ixion/ixion/repository/(@ANY_VERSION@)/archive.tar.gz|kohei.us/files/ixion/src/@PACKAGE@-$1.tar.xz|,repack,compression=xz \
http://gitlab.com/ixion/ixion/tags .*/@ANY_VERSION@/archive\.tar\.gz

## libixion 0.15.0

=== debian/changelog ===
libixion (0.15.0-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 08 Feb 2020 10:57:55 -0800

libixion (0.15.0-3) unstable; urgency=medium

  * properly depend on libmdds-dev (>= 1.5) in libixion-dev

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Nov 2019 21:30:30 +0100

libixion (0.15.0-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Nov 2019 12:55:32 +0100

libixion (0.15.0-1) experimental; urgency=medium

  * New upstream version 0.15.0

  * update build dependencies

 -- Rene Engelhard <rene@debian.org>  Sun, 11 Aug 2019 13:08:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libixion
 Priority: optional
-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders:
  Rene Engelhard <rene@debian.org>,
 Build-Depends:
@@ -12,7 +13,8 @@
  libboost-program-options-dev,
  libboost-system-dev,
  libboost-thread-dev,
- libmdds-dev (>= 1.4),
+ libmdds-dev (>= 1.5),
+ libspdlog-dev,
  pkg-config,
  python3,
  python3-dev,
@@ -22,7 +24,7 @@
  doxygen,
  python3-breathe,
  python3-sphinx,
- python3-sphinx-bootstrap-theme,
+ python3-sphinx-rtd-theme
 Build-Conflicts:
  python-sphinx,
 Standards-Version: 3.9.3
@@ -36,8 +38,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libixion-0.14-0 (= ${binary:Version}),
- libmdds-dev (>= 1.4),
+ libixion-0.15-0 (= ${binary:Version}),
+ libmdds-dev (>= 1.5),
  ${misc:Depends},
 Description: general purpose formula parser & interpreter library -- development
  Ixion is a general purpose formula parser & interpreter that can calculate
@@ -46,7 +48,7 @@
  This package contains headers, pkg-config file and static library for
  developing applications using Ixion.
 
-Package: libixion-0.14-0
+Package: libixion-0.15-0
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -48,3 +48,6 @@
 	# no debian/tmp it can cd from
 	mkdir -p debian/tmp
 	if [ -d src/.libs ]; then dh_auto_install; else dh_auto_install -- -plibixion-doc; fi
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## libixion 0.16.1

=== debian/changelog ===
libixion (0.16.1-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun, 18 Oct 2020 10:28:06 +0200

libixion (0.16.1-1) experimental; urgency=medium

  * New upstream version 0.16.1

  * remove libspdlog build-dependency, not needed anymore

 -- Rene Engelhard <rene@debian.org>  Tue, 29 Sep 2020 18:10:36 +0200

libixion (0.16.0-2) experimental; urgency=medium

  * add upstream patches to fix build on 32bit architectures

 -- Rene Engelhard <rene@debian.org>  Thu, 24 Sep 2020 18:06:13 +0200

libixion (0.16.0-1) experimental; urgency=medium

  [ Rene Engelhard ]
  * Use dh_makeshlibs -VNone to revert to the behaviour pre-dh >=12.
  * New upstream version 0.16.0
  * libixion-0.15-0 -> libixion-0.16-0.install
  * add ${sphinxdoc:Depends} to liborcus-docs depends, thanks lintian

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dh arguments: --parallel
  * Remove Section on libixion-0.16-0 that duplicates source.

 -- Rene Engelhard <rene@debian.org>  Sat, 12 Sep 2020 09:51:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: libixion
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
+Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders:
  Rene Engelhard <rene@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-autoreconf,
  dh-python,
  dpkg-dev (>= 1.16.1),
@@ -14,7 +13,6 @@
  libboost-system-dev,
  libboost-thread-dev,
  libmdds-dev (>= 1.5),
- libspdlog-dev,
  pkg-config,
  python3,
  python3-dev,
@@ -38,7 +36,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libixion-0.15-0 (= ${binary:Version}),
+ libixion-0.16-0 (= ${binary:Version}),
  libmdds-dev (>= 1.5),
  ${misc:Depends},
 Description: general purpose formula parser & interpreter library -- development
@@ -48,8 +46,7 @@
  This package contains headers, pkg-config file and static library for
  developing applications using Ixion.
 
-Package: libixion-0.15-0
-Section: libs
+Package: libixion-0.16-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -81,6 +78,7 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
+ ${sphinxdoc:Depends}
 Description: general purpose formula parser & interpreter library -- documentation
  Ixion is a general purpose formula parser & interpreter that can calculate
  multiple named targets, or “cells”.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@  --parallel --with python3 --with sphinxdoc
+	dh $@  --with python3 --with sphinxdoc
 
 # afffected by https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=727621
 ifeq (armel,$(findstring armel,$(DEB_HOST_ARCH)))
@@ -49,5 +49,6 @@
 	mkdir -p debian/tmp
 	if [ -d src/.libs ]; then dh_auto_install; else dh_auto_install -- -plibixion-doc; fi
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+override_dh_makeshlibs:
+	dh_makeshlibs -VNone
+

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,6 @@
 Depends: python3, python3-ixion
 
 Tests: unit
-Depends: @builddeps@, libixion-0.14-0, python3-ixion
+Depends: @builddeps@, libixion-0.16-0, python3-ixion
 Restrictions: build-needed, rw-build-tree

## libixion 0.17.0

=== debian/changelog ===
libixion (0.17.0-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:42:00 +0000

libixion (0.17.0-3) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Wed, 08 Dec 2021 19:40:26 +0100

libixion (0.17.0-2) experimental; urgency=medium

  * update debian/not-installed for 0.17 

 -- Rene Engelhard <rene@debian.org>  Sat, 06 Nov 2021 13:23:34 +0100

libixion (0.17.0-1) experimental; urgency=medium

  * New upstream version 0.17.0

  * update mdds build-dep; remove mdds dep (not exported anymore)

 -- Rene Engelhard <rene@debian.org>  Sat, 06 Nov 2021 07:08:15 +0100

libixion (0.16.1-4) unstable; urgency=medium

  * add Build-Depends: libmdds-dev (<< 2.0~) to prevent trying with mdds-2.0

 -- Rene Engelhard <rene@debian.org>  Tue, 02 Nov 2021 18:12:58 +0100

libixion (0.16.1-3) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Enable threads on armel again, since the gcc bug should be long fixed.
  * Move list of files to clean from d/rules to d/clean.
  * Declaratively use python3 and sphinxdoc dh sequences from d/control
    instead of d/rules.
  * Install the docs from d/*.docs instead of d/*.install, and simplify
    d/rules in the process.
  * Use a arch-dependant override for the tests, instead of a manual `if`.
  * Use the right overrides for the right targets for a more intuitive flow.
  * Drop Build-Dep on dh-autoreconf, implied by debhelper>=10.
  * Bump Standards-Version to 4.6.0, set Rules-Requires-Root:no.
  * Use HTTPS in d/watch.
  * Bump debhelper compat level to 13.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 24 Sep 2021 12:54:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: libixion
+Section: libs
 Priority: optional
 Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders:
  Rene Engelhard <rene@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dh-autoreconf,
- dh-python,
- dpkg-dev (>= 1.16.1),
+ debhelper-compat (= 13),
+Build-Depends-Arch:
+ dh-sequence-python3,
  libboost-filesystem-dev,
  libboost-program-options-dev,
  libboost-system-dev,
  libboost-thread-dev,
- libmdds-dev (>= 1.5),
+ libmdds-dev (>= 2.0),
+ libmdds-dev (<< 2.1~),
  pkg-config,
  python3,
  python3-dev,
- sphinx-common,
  zlib1g-dev,
 Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
  doxygen,
  python3-breathe,
  python3-sphinx,
- python3-sphinx-rtd-theme
+ python3-sphinx-rtd-theme,
 Build-Conflicts:
  python-sphinx,
-Standards-Version: 3.9.3
-Section: libs
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://gitlab.com/ixion/ixion
 Vcs-Browser: https://salsa.debian.org/libreoffice-team/libixion
 Vcs-Git: https://salsa.debian.org/libreoffice-team/libixion.git
@@ -36,8 +37,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libixion-0.16-0 (= ${binary:Version}),
- libmdds-dev (>= 1.5),
+ libixion-0.17-0 (= ${binary:Version}),
  ${misc:Depends},
 Description: general purpose formula parser & interpreter library -- development
  Ixion is a general purpose formula parser & interpreter that can calculate
@@ -46,7 +46,7 @@
  This package contains headers, pkg-config file and static library for
  developing applications using Ixion.
 
-Package: libixion-0.16-0
+Package: libixion-0.17-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -66,7 +66,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Description: general purpose formula parser & interpreter library -- python module
+Description: general purpose formula parser & interpreter library -- Python module
  Ixion is a general purpose formula parser & interpreter that can calculate
  multiple named targets, or “cells”.
  .
@@ -78,7 +78,7 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
- ${sphinxdoc:Depends}
+ ${sphinxdoc:Depends},
 Description: general purpose formula parser & interpreter library -- documentation
  Ixion is a general purpose formula parser & interpreter that can calculate
  multiple named targets, or “cells”.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_autoreconf-indep:
override_dh_auto_configure-indep:
	@# nothing

override_dh_auto_configure-arch:
	dh_auto_configure -- --disable-silent-rules --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-static

override_dh_auto_build-indep:
	cd doc && \
		doxygen doxygen.conf && \
		mkdir tmp && sphinx-build -v -a . tmp

override_dh_auto_test-arch:
	PYTHONPATH="$(CURDIR)/src/python/.libs" dh_auto_test

override_dh_missing:
	rm -f debian/tmp/usr/lib/x86_64-linux-gnu/libixion-0.17.la
	dh_missing

override_dh_makeshlibs:
	dh_makeshlibs -VNone

override_dh_installdocs:
	# Ignore Policy v3.9.7 §12.3 for now
	dh_installdocs -plibixion-doc --doc-main-package=libixion-doc
	dh_installdocs --remaining-packages

=== debian/tests/control ===
Test-Command: set -e ; cd "$AUTOPKGTEST_TMP" ; python3 -c "import ixion; print(ixion)"
Depends:
 python3,
 python3-ixion,

Tests: unit
Depends:
 libixion-0.17-0,
 python3-ixion,
 @builddeps@,
Restrictions: build-needed, rw-build-tree

## libixion 0.18.1

=== debian/changelog ===
libixion (0.18.1-1) experimental; urgency=medium

  * New upstream version 0.18.1

 -- Rene Engelhard <rene@debian.org>  Wed, 01 Feb 2023 17:58:50 +0100

libixion (0.18.0-3) experimental; urgency=medium

  * add fix from upstream to fix build on 32 bit 

 -- Rene Engelhard <rene@debian.org>  Sat, 28 Jan 2023 08:38:41 +0100

libixion (0.18.0-2) experimental; urgency=medium

  * oops, don't hardcode x86_64-linux-gnu in rm

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Jan 2023 16:17:09 +0100

libixion (0.18.0-1) experimental; urgency=medium

  * New upstream version 0.18.0

 -- Rene Engelhard <rene@debian.org>  Fri, 13 Jan 2023 19:05:36 +0100

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	PYTHONPATH="$(CURDIR)/src/python/.libs" dh_auto_test
 
 override_dh_missing:
-	rm -f debian/tmp/usr/lib/x86_64-linux-gnu/libixion-0.17.la
+	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libixion-0.18.la
 	dh_missing
 
 override_dh_makeshlibs:
@@ -34,3 +34,9 @@
 	# Ignore Policy v3.9.7 §12.3 for now
 	dh_installdocs -plibixion-doc --doc-main-package=libixion-doc
 	dh_installdocs --remaining-packages
+
+override_dh_auto_clean:
+# rm: cannot remove './doc/_doxygen': Is a directory
+# rm: cannot remove './doc/tmp
+	rm -rf doc/_doxygen doc/tmp
+	dh_auto_clean

## libixion 0.19.0

=== debian/changelog ===
libixion (0.19.0-7) unstable; urgency=medium

  * debian/patches/include-cstdint.diff: #include <cstdint> to fix build
    with gcc 15 (closes: #1097204)
  * debian/control: make libixion-dev depend on libboost-dev 

 -- Rene Engelhard <rene@debian.org>  Sun, 06 Apr 2025 10:35:47 +0200

libixion (0.19.0-6) unstable; urgency=medium

  * debian/watch: oops, actually check for ixion... 

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Aug 2024 21:22:11 +0200

libixion (0.19.0-5) unstable; urgency=medium

  * merge liborcus 0.19.2-4 changes

 -- Rene Engelhard <rene@debian.org>  Thu, 29 Aug 2024 17:23:56 +0200

libixion (0.19.0-4) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 24 Nov 2023 17:44:05 +0100

libixion (0.19.0-3) experimental; urgency=medium

  * use dh_makeshlibs -VUpstream-Version to bump .shlibs to >= 0.19.0,
    liborcus-spreadsheet-model 0.19.x needs it

 -- Rene Engelhard <rene@debian.org>  Sun, 29 Oct 2023 13:06:49 +0100

libixion (0.19.0-2) experimental; urgency=medium

  * debian/rules: export DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast
    thanks Adrian Bunk (closes: #1054239)

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Oct 2023 11:22:48 +0200

libixion (0.19.0-1) experimental; urgency=medium

  * New upstream version 0.19.0

  * debian/clean: add missing / and remove manual rm -rfs

 -- Rene Engelhard <rene@debian.org>  Tue, 03 Oct 2023 14:40:03 +0200

libixion (0.18.1-2) experimental; urgency=medium

  * Update tests/control: 0.17->0.18 

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Jun 2023 17:37:22 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  libboost-program-options-dev,
  libboost-system-dev,
  libboost-thread-dev,
- libmdds-dev (>= 2.0),
- libmdds-dev (<< 2.1~),
+ libmdds-dev (>= 2.1),
+ libmdds-dev (<< 2.2~),
  pkg-config,
  python3,
  python3-dev,
@@ -37,7 +37,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libixion-0.17-0 (= ${binary:Version}),
+ libixion-0.18-0 (= ${binary:Version}),
+ libboost-dev,
  ${misc:Depends},
 Description: general purpose formula parser & interpreter library -- development
  Ixion is a general purpose formula parser & interpreter that can calculate
@@ -46,7 +47,7 @@
  This package contains headers, pkg-config file and static library for
  developing applications using Ixion.
 
-Package: libixion-0.17-0
+Package: libixion-0.18-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends:

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 #export DH_VERBOSE=1
 
 include /usr/share/dpkg/architecture.mk
+
+export DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast
 
 %:
 	dh $@
@@ -28,15 +30,10 @@
 	dh_missing
 
 override_dh_makeshlibs:
-	dh_makeshlibs -VNone
+	# ImportError: /lib/x86_64-linux-gnu/liborcus-spreadsheet-model-0.18.so.0: undefined symbol: _ZN5ixion12print_configD1Ev
+	dh_makeshlibs -VUpstream-Version
 
 override_dh_installdocs:
 	# Ignore Policy v3.9.7 §12.3 for now
 	dh_installdocs -plibixion-doc --doc-main-package=libixion-doc
 	dh_installdocs --remaining-packages
-
-override_dh_auto_clean:
-# rm: cannot remove './doc/_doxygen': Is a directory
-# rm: cannot remove './doc/tmp
-	rm -rf doc/_doxygen doc/tmp
-	dh_auto_clean

=== debian/tests/control ===
Test-Command: set -e ; cd "$AUTOPKGTEST_TMP" ; python3 -c "import ixion; print(ixion)"
Depends:
 python3,
 python3-ixion
Restrictions: superficial

Tests: unit
Depends:
 libixion-0.18-0,
 python3-ixion,
 @builddeps@,
Restrictions: build-needed, rw-build-tree, allow-stderr

## libixion 0.20.0

=== debian/changelog ===
libixion (0.20.0-5) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Aug 2025 13:28:14 +0200

libixion (0.20.0-4) experimental; urgency=medium

  * debian/control: allow mdds 3.1 (still mdds-3.0.pc) 

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Jul 2025 16:08:08 +0200

libixion (0.20.0-3) experimental; urgency=medium

  * debian/control: make libixion-dev depend on libboost-dev 

 -- Rene Engelhard <rene@debian.org>  Sun, 06 Apr 2025 10:42:12 +0200

libixion (0.20.0-2) experimental; urgency=medium

  * debian/tests/control: fix 'unit' to depend libixion-0.20-0, oops

 -- Rene Engelhard <rene@debian.org>  Sat, 01 Feb 2025 19:47:51 +0100

libixion (0.20.0-1) experimental; urgency=medium

  * New upstream version 0.20.0
    - fixes build with gcc 15 (closes: #1097204)

 -- Rene Engelhard <rene@debian.org>  Sat, 01 Feb 2025 19:05:50 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  libboost-program-options-dev,
  libboost-system-dev,
  libboost-thread-dev,
- libmdds-dev (>= 2.1),
- libmdds-dev (<< 2.2~),
+ libmdds-dev (>= 3.0),
+ libmdds-dev (<< 3.2~),
  pkg-config,
  python3,
  python3-dev,
@@ -37,7 +37,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libixion-0.18-0 (= ${binary:Version}),
+ libixion-0.20-0 (= ${binary:Version}),
  libboost-dev,
  ${misc:Depends},
 Description: general purpose formula parser & interpreter library -- development
@@ -47,7 +47,7 @@
  This package contains headers, pkg-config file and static library for
  developing applications using Ixion.
 
-Package: libixion-0.18-0
+Package: libixion-0.20-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends:

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	PYTHONPATH="$(CURDIR)/src/python/.libs" dh_auto_test
 
 override_dh_missing:
-	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libixion-0.18.la
+	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libixion-0.20.la
 	dh_missing
 
 override_dh_makeshlibs:

=== debian/tests/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Tests: unit
 Depends:
- libixion-0.18-0,
+ libixion-0.20-0,
  python3-ixion,
  @builddeps@,
 Restrictions: build-needed, rw-build-tree, allow-stderr

=== debian/watch ===
version=4

opts=searchmode=plain,downloadurlmangle=s|gitlab.com/ixion/ixion/repository/(@ANY_VERSION@)/archive.tar.gz|kohei.us/files/ixion/src/@PACKAGE@-$1.tar.xz|,repack,compression=xz \
https://gitlab.com/ixion/ixion/tags?sort=updated_desc /ixion/ixion/-/archive/@ANY_VERSION@/[^/]+\.tar\.gz
